package com.template.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.template.domain.MessageTemplateType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.mapper
 * @Project：cloud-server-c
 * @name：MessageTemplateTypeMapper
 * @Date：2024/9/19 14:35
 */

public interface MessageTemplateTypeMapper {



    Integer addMessageType(@Param("messageTemplateType") MessageTemplateType messageTemplateType);

    List<MessageTemplateType> messageTemplateTypeList();

    List<MessageTemplateType> finddeviceStatusData(@Param("templatedId") Integer templatedId, @Param("code") String code);

    List<MessageTemplateType> findvehicleFoundationData(@Param("templatedId") Integer templatedId, @Param("code") String code);

    List<MessageTemplateType> findvehicleData(@Param("templatedId") Integer templatedId, @Param("code") String code);

    List<MessageTemplateType> findMessageByTemplateName(@Param("templatedId") Integer templatedId);

}
